CYCLE_FINDER(1)

NAME
cycle_finder - find reference cycles in Java source files

SYNOPSIS
cycle_finder [ options ] file1.java ...

DESCRIPTION
The cycle_finder tool builds a reference graph from the types found in Java sources and prints to stdout any cycles found in the graph. The following options are available:

-sourcepath path
    Specify where to find input source files

-classpath path
    Specify where to find user class files

--suppress-list file
    Specify a file that lists approved fields and types to suppress cycles.

--restrict-to file
    When specified, only cycles containing the types and namespaces listed are printed.

-s, --sourcefilelist file
    Specify a file that lists the source files to be analyzed.

-encoding encoding
    Specify character encoding used by source files

-Xbootclasspath:path
    Boot path used to compile the input sources. (not the tool itself)

-version
    Version information.

-h, --help
    Print this message.

SEE ALSO
j2objc(1)

The full documentation for cycle_finder is maintained on the project site at http://j2objc.org/.